\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Number Types

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes | Typedefs
CGAL Number Types
Number Types Reference

##

## Classes
class | CGAL::Interval_nt< Protected >
| The class `Interval_nt` provides an interval arithmetic number type. More...
class | CGAL::Lazy_exact_nt< NT >
| An object of the class `Lazy_exact_nt<NT>` is able to represent any real embeddable number which `NT` is able to represent. More...
class | CGAL::MP_Float
| An object of the class `MP_Float` is able to represent a floating point value with arbitrary precision. More...
class | CGAL::Number_type_checker< NT1, NT2, Comparator >
| `Number_type_checker` is a number type whose instances store two numbers of types `NT1` and `NT2`. More...
class | CGAL::Quotient< NT >
| An object of the class `Quotient<NT>` is an element of the field of quotients of the integral domain type `NT`. More...

## Typedefs
typedef Interval_nt< false > | CGAL::Interval_nt_advanced
| This typedef (at namespace CGAL scope) exists for backward compatibility, as well as removing the need to remember the Boolean value for the template parameter.
typedef unspecified_type | CGAL::Exact_integer
| `Exact_integer` is an exact integer number type. More...
typedef unspecified_type | CGAL::Exact_rational
| `Exact_rational` is an exact rational number type, constructible from `double`. More...

## Typedef Documentation

typedef unspecified_type CGAL::Exact_integer

`Exact_integer` is an exact integer number type.

It is a typedef of another number type. Its exact definition depends on the availability the third-party libraries GMP, CORE, and LEDA. CGAL must be configured with at least one of those libraries.

Is Model Of:

  `EuclideanRing`

  `RealEmbeddable`

`#include <CGAL/Exact_integer.h>`

typedef unspecified_type CGAL::Exact_rational

`Exact_rational` is an exact rational number type, constructible from `double`.

It is a typedef of another number type. Its exact definition depends on the availability the third-party libraries GMP, CORE, and LEDA. CGAL must be configured with at least one of those libraries.

Is Model Of:

  `Field`

  `RealEmbeddable`

  `Fraction`

  `FromDoubleConstructible`

`#include <CGAL/Exact_rational.h>`